Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.log
Interface Log

All Known Implementing Classes:
  AbstractLog, CommonsLogFactory.LogAdapter, Log4JLogFactory.LogAdapter, LogFactoryImpl.LogImpl, NoneLogFactory.NoneLog, SLF4JLogFactory.LogAdapter

    public interface Log

Logging interface that is independent of other logging frameworks.

Author:
  Patrick Linskey, Abe White

Field Summary
`static short` | `ERROR`
`static short` | `FATAL`
`static short` | `INFO`
`static short` | `TRACE`
`static short` | `WARN`

Method Summary
`void` | `error(Object o)` Write out a log message at the `ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `error(Object o, Throwable t)` Write out a log message at the `ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object o)` Write out a log message at the `FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object o, Throwable t)` Write out a log message at the `FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `info(Object o)` Write out a log message at the `INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `info(Object o, Throwable t)` Write out a log message at the `INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`boolean` | `isErrorEnabled()` Returns if the `ERROR` log level is enabled.
`boolean` | `isFatalEnabled()` Returns if the `FATAL` log level is enabled.
`boolean` | `isInfoEnabled()` Returns if the `INFO` log level is enabled.
`boolean` | `isTraceEnabled()` Returns if the `TRACE` log level is enabled.
`boolean` | `isWarnEnabled()` Returns if the `WARN` log level is enabled.
`void` | `trace(Object o)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message.
`void` | `trace(Object o, Throwable t)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object o)` Write out a log message at the `WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object o, Throwable t)` Write out a log message at the `WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

Field Detail

### TRACE

    static final short TRACE

See Also:
  Constant Field Values

### INFO

    static final short INFO

See Also:
  Constant Field Values

### WARN

    static final short WARN

See Also:
  Constant Field Values

### ERROR

    static final short ERROR

See Also:
  Constant Field Values

### FATAL

    static final short FATAL

See Also:
  Constant Field Values

Method Detail

### isTraceEnabled

    boolean isTraceEnabled()

  Returns if the `TRACE` log level is enabled.

### isInfoEnabled

    boolean isInfoEnabled()

  Returns if the `INFO` log level is enabled.

### isWarnEnabled

    boolean isWarnEnabled()

  Returns if the `WARN` log level is enabled.

### isErrorEnabled

    boolean isErrorEnabled()

  Returns if the `ERROR` log level is enabled.

### isFatalEnabled

    boolean isFatalEnabled()

  Returns if the `FATAL` log level is enabled.

### trace

    void trace(Object o)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message.

### trace

    void trace(Object o,
               Throwable t)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### info

    void info(Object o)

  Write out a log message at the `INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### info

    void info(Object o,
              Throwable t)

  Write out a log message at the `INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### warn

    void warn(Object o)

  Write out a log message at the `WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### warn

    void warn(Object o,
              Throwable t)

  Write out a log message at the `WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### error

    void error(Object o)

  Write out a log message at the `ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### error

    void error(Object o,
               Throwable t)

  Write out a log message at the `ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### fatal

    void fatal(Object o)

  Write out a log message at the `FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### fatal

    void fatal(Object o,
               Throwable t)

  Write out a log message at the `FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.